Subject: Re: powerpc/configs: Don't enable PPC_EARLY_DEBUG in defconfigs

From: Michael Ellerman <[email-masked]>
Date: Sat, 22 Dec 2018 20:54:46 +1100 (AEDT)

On Fri, 2018-12-14 at 13:57:11 UTC, Michael Ellerman wrote:
> This reverts the remains of commit b9ef7d6b11c1 ("powerpc: Update
> default configurations").
> 
> That commit was proceeded by a commit which added a config option to
> control use of BOOTX for early debug, ie. PPC_EARLY_DEBUG_BOOTX, and
> then the update of the defconfigs was intended to not change behaviour
> by then enabling the new config option.
> 
> However enabling PPC_EARLY_DEBUG had other consequences, notably
> causing us to register the udbg console at the end of udbg_early_init().
> 
> This means on a system which doesn't have anything that BOOTX can
> use (most systems), we register the udbg console very early but the
> bootx code just throws everything away, meaning early boot messages
> are never printed to the console.
> 
> What we want to happen is for the udbg console to only be registered
> later (from setup_arch()) once we've setup udbg_putc, and then all
> early boot messages will be replayed.
> 
> Fixes: b9ef7d6b11c1 ("powerpc: Update default configurations")
> Reported-by: Torsten Duwe <[email-masked]>
> Signed-off-by: Michael Ellerman <[email-masked]>

Applied to powerpc next.

https://git.kernel.org/powerpc/c/2b874a5c7b75fdc90fdd1e2ffaa3ec

cheers